/*
    K8400 firmware modification based on original Version provided by Vellemann.

 Copyright (C) 2017 Holger Höhnemann

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#ifndef POSITIONCONTROL_H_
#define POSITIONCONTROL_H_

#include "MarlinHOH.h"
#include "Configuration.h"

// Extruder offset
#if EXTRUDERS > 1
  #define NUM_EXTRUDER_OFFSETS 2 // only in XY plane
#endif


class Position_Control
{
public:
	Position_Control();
	virtual ~Position_Control();

	void home (bool x_axis, bool y_axis, bool z_axis);
	bool Set_Tool (uint8_t tool_nr = 0, float rate = 4800);

	void Set_Position_mm (AxisEnum axis, float value_mm);

	void	Set_Feedrate(float rate);
	float	Feedrate();

	float current_position_mm[NUM_AXIS] = { 0.0, 0.0, 0.0, 0.0 };
	bool axis_known_position[3] = {false, false, false};
	void Prepare_Move();
	float destination[NUM_AXIS]  = {  0.0, 0.0, 0.0, 0.0};


private:
	float feedrate , next_feedrate, saved_feedrate;
	int saved_feedmultiply;
	float saved_E_position[EXTRUDERS] = ARRAY_BY_EXTRUDERS(0 , 0 , 0);
	void home_axis (AxisEnum axis);
	void Set_Axis_At_Home(AxisEnum axis);
};

extern class Position_Control Position;

#endif /* POSITIONCONTROL_H_ */
