/**
 * Marlin 3D Printer Firmware
 * Copyright (C) 2016 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (C) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/**
 * International template for translation
 * For applying a new language the INT placeholder has to be exchanged by the country code (Attention, be case sensitive during search/replace)
 * All accessible strings can be translated (if it makes sense)
 *
 * LCD Menu Messages
 * See also https://github.com/MarlinFirmware/Marlin/wiki/LCD-Language
 *
 */
#ifndef LANGUAGE_INT_H
#define LANGUAGE_INT_H

#define MAPPER_C2C3

#define DISPLAY_CHARSET_ISO10646_1

//---------------- LCD messages: status messages
TMESSAGE(INT, MSG_Welcome, "K8400 ready.");
TMESSAGE(INT, MSG_Heating,  "Heating...");
TMESSAGE(INT, MSG_Heating_complete,  "Heating done.");
TMESSAGE(INT, MSG_Printing,  "Printing...");
TMESSAGE(INT, MSG_Printing_complete,  "Printing done.");
//---------------- LCD messages: Menus messages
TMESSAGE(INT, MSG_Main_Menu, "Main");
TMESSAGE(INT, MSG_Info, "Info Screen");
TMESSAGE(INT, MSG_Tune, "Tune");
TMESSAGE(INT, MSG_Prepare, "Prepare");
TMESSAGE(INT, MSG_Control, "Control");
TMESSAGE(INT, MSG_Firmware ,"Firmware version");
TMESSAGE(INT, MSG_Auto_Home , "Auto home");
TMESSAGE(INT, MSG_Load_Filament, "Load filament");
TMESSAGE(INT, MSG_Unload_Filament, "Unload filament");
TMESSAGE(INT, MSG_Preheat_PLA, "Preheat PLA");
TMESSAGE(INT, MSG_Preheat_ABS, "Preheat ABS");
TMESSAGE(INT, MSG_Move_Axis, "Move axis");
TMESSAGE(INT, MSG_Disable_Steppers, "Disable steppers");
TMESSAGE(INT, MSG_Cooldown, "Cooldown");
TMESSAGE(INT, MSG_Extruder_offsets, "Extruder offsets");
TMESSAGE(INT, MSG_Language, "Language");
TMESSAGE(INT, MSG_Temperature, "Temperature");
TMESSAGE(INT, MSG_Motion, "Motion");
TMESSAGE(INT, MSG_Advanced, "Advanced");
TMESSAGE(INT, MSG_Stopwatch, "Stopwatch");
TMESSAGE(INT, MSG_Store_Eprom, "Store memory");
TMESSAGE(INT, MSG_Load_Eprom, "Load memory");
TMESSAGE(INT, MSG_Restore_Failsave, "Restore failsafe");
TMESSAGE(INT, MSG_Load_ABS_EX1, "Load ABS right");
TMESSAGE(INT, MSG_Unload_ABS_EX1, "Unload ABS right");
TMESSAGE(INT, MSG_Load_ABS_EX2, "Load ABS left");
TMESSAGE(INT, MSG_Unload_ABS_EX2, "Unload ABS left");
TMESSAGE(INT, MSG_Load_PLA_EX1, "Load PLA right");
TMESSAGE(INT, MSG_Unload_PLA_EX1, "Unload PLA right");
TMESSAGE(INT, MSG_Load_PLA_EX2, "Load PLA left");
TMESSAGE(INT, MSG_Unload_PLA_EX2, "Unload PLA left");
TMESSAGE(INT, MSG_Preheat_PLA_EX1, "Preheat PLA 1");
TMESSAGE(INT, MSG_Preheat_PLA_EX2, "Preheat PLA 2");
TMESSAGE(INT, MSG_Preheat_PLA_EXALL, "Preheat PLA All");
TMESSAGE(INT, MSG_Preheat_ABS_EX1, "Preheat ABS 1");
TMESSAGE(INT, MSG_Preheat_ABS_EX2, "Preheat ABS 2");
TMESSAGE(INT, MSG_Preheat_ABS_EXALL, "Preheat ABS All");
TMESSAGE(INT, MSG_Preheat_PLA_Bed, "Preheat PLA Bed");
TMESSAGE(INT, MSG_Preheat_ABS_Bed, "Preheat ABS Bed");
TMESSAGE(INT, MSG_Load_TEXT0, "Insert filament");
TMESSAGE(INT, MSG_Load_TEXT1, " until 1.5cm is");
TMESSAGE(INT, MSG_Load_TEXT2, " visible in tube");
TMESSAGE(INT, MSG_Load_TEXT3, "Then press button");
TMESSAGE(INT, MSG_No_Card , "No SD card");
TMESSAGE(INT, MSG_Pause_Print , "Pause print");
TMESSAGE(INT, MSG_Resume_Print, "Resume print");
TMESSAGE(INT, MSG_Stop_Print,  "Stop print");
TMESSAGE(INT, MSG_Card_Menu , "Print from SD");
TMESSAGE(INT, MSG_Init_SDcard , "Init. SD card");
TMESSAGE(INT, MSG_Change_SDcard , "Change SD card");
TMESSAGE(INT, MSG_Refresh, "\x5Refresh");
TMESSAGE(INT, MSG_Folder_Up, "\x05..");
TMESSAGE(INT, MSG_Move_01mm,  "Move 0.1mm");
TMESSAGE(INT, MSG_Move_1mm,   "Move 1mm");
TMESSAGE(INT, MSG_Move_10mm,  "Move 10mm");
TMESSAGE(INT, MSG_Move_X,     "Move X");
TMESSAGE(INT, MSG_Move_Y ,    "Move Y");
TMESSAGE(INT, MSG_Move_Z ,    "Move Z");
TMESSAGE(INT, MSG_Move_E,     "Extruder");
TMESSAGE(INT, MSG_Start_Timer,     "Start");
TMESSAGE(INT, MSG_Stop_Timer,     "Stop");
TMESSAGE(INT, MSG_Bed_Done,     "Bed done.");
TMESSAGE(INT, MSG_Stopped,     "STOPPED");
TMESSAGE(INT, MSG_Error_Maxtemp,     "Err: MAXTEMP");
TMESSAGE(INT, MSG_Error_Mintemp,     "Err: MINTEMP");
TMESSAGE(INT, MSG_Error_Heater0broken,     "Err: heater0 broken");
TMESSAGE(INT, MSG_Error_Heater1broken,     "Err: heater1 broken");
TMESSAGE(INT, MSG_Warn_Heater_Overload,     "Heater overload");
//-----------------LCD-format-Strings
TMESSAGE(INT, MSG_Nozzle, 	"Nozzle         %3i");
TMESSAGE(INT, MSG_Nozzle1, 	"Nozzle 1       %3i");
TMESSAGE(INT, MSG_Nozzle2, 	"Nozzle 2       %3i");
TMESSAGE(INT, MSG_Bed,     	"Bed            %3i");
TMESSAGE(INT, MSG_Speed, 	"Speed          %3i");
TMESSAGE(INT, MSG_FanSpeed  ,"Fan speed      %3i");
TMESSAGE(INT, MSG_Adv_Press1,"press_adv_1    %3.0f");
TMESSAGE(INT, MSG_Adv_Press2,"press_adv_2    %3.0f");
TMESSAGE(INT, MSG_Adv_delay1,"delay 1        %3i");
TMESSAGE(INT, MSG_Adv_delay2,"delay 2        %3i");
TMESSAGE(INT, MSG_Flow, 		"Flow           %3i");
TMESSAGE(INT, MSG_Flow1,   	"Flow 1         %3i");
TMESSAGE(INT, MSG_Flow2,     "Flow 2         %3i");
TMESSAGE(INT, MSG_PID_P0,    "PID-P 1      %5.2f");
TMESSAGE(INT, MSG_PID_I0,    "PID-I 1      %5.2f");
TMESSAGE(INT, MSG_PID_D0,    "PID-D 1      %5.2f");
TMESSAGE(INT, MSG_PID_C0,    "PID-C 1      %5.2f");
TMESSAGE(INT, MSG_PID_F0,    "PID-F 1      %4.2f");
TMESSAGE(INT, MSG_PID_P1,    "PID-P 2      %5.2f");
TMESSAGE(INT, MSG_PID_I1,    "PID-I 2      %5.2f");
TMESSAGE(INT, MSG_PID_D1,    "PID-D 2      %5.2f");
TMESSAGE(INT, MSG_PID_C1,    "PID-C 2      %5.2f");
TMESSAGE(INT, MSG_PID_F1,    "PID-F 2      %4.2f");
TMESSAGE(INT, MSG_PID_P99,    "PID-P Bed    %5.2f");
TMESSAGE(INT, MSG_PID_I99,    "PID-I Bed    %5.2f");
TMESSAGE(INT, MSG_PID_D99,    "PID-D Bed    %5.2f");
TMESSAGE(INT, MSG_PID_C99,    "PID-C Bed    %5.2f");
TMESSAGE(INT, MSG_PID_F99,    "PID-F Bed      %3.0f");
TMESSAGE(INT, MSG_Accel,		"Accel         %5.0f");
TMESSAGE(INT, MSG_VXY_Jerk,  "Vxy-jerk       %3.0f");
TMESSAGE(INT, MSG_VZ_Jerk,   "Vz-jerk       %5.2f");
TMESSAGE(INT, MSG_VE_Jerk,   "Ve-jerk        %3.0f");
TMESSAGE(INT, MSG_Vmax_X,    "Vmax X         %3.0f");
TMESSAGE(INT, MSG_Vmax_Y,    "Vmax Y         %3.0f");
TMESSAGE(INT, MSG_Vmax_Z,    "Vmax Z         %3.0f");
TMESSAGE(INT, MSG_Vmax_E,    "Vmax E        %4.0f");
TMESSAGE(INT, MSG_Vmin,      "Vmin           %3.0f");
TMESSAGE(INT, MSG_Vtrav_min, "VTrav min      %3.0f");
TMESSAGE(INT, MSG_A_Retract, "A-retract     %5.0f");
TMESSAGE(INT, MSG_A_Travel,  "A-travel");
TMESSAGE(INT, MSG_Xsteps,    "Xsteps/mm   %5.2f");
TMESSAGE(INT, MSG_Ysteps,    "Ysteps/mm   %5.2f");
TMESSAGE(INT, MSG_Zsteps,    "Zsteps/mm   %5.1f");
TMESSAGE(INT, MSG_Esteps,    "Esteps/mm    %5.1f");
TMESSAGE(INT, MSG_Flow_time, "Flow time      %3i");
TMESSAGE(INT, MSG_Amax_X,    "Amax X    %5l");
TMESSAGE(INT, MSG_Amax_Y,    "Amax Y    %5l");
TMESSAGE(INT, MSG_Amax_Z,    "Amax Z    %5l");
TMESSAGE(INT, MSG_Amax_E,    "Amax E    %5l");
TMESSAGE(INT, MSG_Extruder_offset_X,    "Offset X    %1.2f");
TMESSAGE(INT, MSG_Extruder_offset_Y,    "Offset Y    %1.2f");
TMESSAGE(INT, MSG_Compiled , " Compiled: ");
TMESSAGE(INT, MSG_CS_Error_Load_Failsave , "Checksum error on printer parameters. Failsave values loaded\n");
TMESSAGE(INT, MSG_CS_Value , "Checksum :  %i\n");
TMESSAGE(INT, MSG_SD_Vol_Init_Fail , "Can't find a valid FAT16/FAT32 partition.\n");
TMESSAGE(INT, MSG_SD_Now_Printing ,  "Now fresh file: %s\n");
TMESSAGE(INT, MSG_SD_Printing ,  "Now doing file: %s\n");
TMESSAGE(INT, MSG_SD_Error_Sublevel ,  "trying to call sub-gcode files with too many levels. MAX level is: %i\n");
TMESSAGE(INT, MSG_SD_Subroutine ,  "SUBROUTINE CALL target:\"%s\" parent:\"%s\" pos %i\n");
TMESSAGE(INT, MSG_Filamentchange, "Change filament\n" );
TMESSAGE(INT, MSG_PID_Autotune_Invalid_Extrude , "PID Autotune failed. Bad extruder number.");
TMESSAGE(INT, MSG_PID_Autotune_Start , "PID Autotune start");
TMESSAGE(INT, MSG_Hotend_Stabilise , "Stabilise hotend\n");
TMESSAGE(INT, MSG_Hotend_Stable_Temperature , "Temperature stabilised at %f\n");
TMESSAGE(INT, MSG_PID_Reset , "PID reset");
TMESSAGE(INT, MSG_PID_Autotune_Failed , "PID Autotune failed! Temperature too high");
TMESSAGE(INT, MSG_PID_Autotune_Timeout , "PID Autotune failed! timeout\n");
TMESSAGE(INT, MSG_PID_Autotune_Finished , "PID Autotune finished! Put the last Kp, Ki and Kd constants from above into Configuration.h\n");
TMESSAGE(INT, MSG_PID_Autotune_Finished_Updated , "PID Autotune finished! PID parameters updated\n");
TMESSAGE(INT, MSG_Temp_Tune_Failed , "Abort tuning, not at home position\n");
TMESSAGE(INT, MSG_Temp_Tune_Started , "Start tuning - - -\n");
TMESSAGE(INT, MSG_Temp_Tune_Fan , "Step 1: tune fan parameter\n");
TMESSAGE(INT, MSG_Temp_Tune_Extrusion , "Step 2: tune extrusion parameter");
TMESSAGE(INT, MSG_Temp_Heat_Result , " Heat @ %imm : %i\n");
TMESSAGE(INT, MSG_Temp_Heat_KC , " Extrusion coefficient Kc %i\n");
TMESSAGE(INT, MSG_Maxtemp_Error_Extr , " Heater switched off. MAXTEMP triggered on Extruder %i!\n");
TMESSAGE(INT, MSG_Mintemp_Error_Extr , " Heater switched off. MINTEMP triggered on Extruder %i!\n");
TMESSAGE(INT, MSG_Fan_Autotune_Started ,"Fan Autotune starting\n");
TMESSAGE(INT, MSG_Repeat_Temperature_Stabilisation , " Repeat Temperature stabilisation \n");
TMESSAGE(INT, MSG_Reduce_Fan_Speed , " Reducimg fan speed!\n");
TMESSAGE(INT, MSG_Temperature_Stabilisation_Abort_At , " Temperature not reached, abort at %.1f\n");
TMESSAGE(INT, MSG_Default_Parameters_Loaded , "Hardcoded Default Parameter Loaded");
TMESSAGE(INT, MSG_NB_EEPROM_Bytes_Loaded , " eeprom bytes loaded: %i\n");
TMESSAGE(INT, MSG_Steps_Per_Unit , "Steps per unit (M92):\n");
TMESSAGE(INT, MSG_NB_Steps_Per_Unit , " X %1.2f, Y %1.2f, Z %1.2f, E %1.2f\n\n");
TMESSAGE(INT, MSG_Max_Feedrates , "Maximum feedrates (mm/s) (M203)\n:");
TMESSAGE(INT, MSG_NB_Max_Feedrates , "  M203 X %f, Y %f, Z %f, E %f\n\n");
TMESSAGE(INT, MSG_Max_Acceleration , "Maximum Acceleration (mm/s2) (M201):\n");
TMESSAGE(INT, MSG_NB_Max_Acceleration , "  M201 X %l, Y %l, Z %l, E %l\n\n");
TMESSAGE(INT, MSG_Extruder_Nb , " Heater  %i:\n");
TMESSAGE(INT, MSG_PID_Parameter , "  P: %f I: %f D: %f\n");
TMESSAGE(INT, MSG_CF_Parameter , "  C: %f F: %f\n\n");
TMESSAGE(INT, MSG_SD_File_deleted , "File deleted: %s\n");
TMESSAGE(INT, MSG_SD_Deletion_Error , "Deletion failed, File: %s\n");

PGM_P message_list_INT[]  = {
//---------- Serial port messages, do not translate
		TMESSAGEVAR(en,MSG_Marlin),
		TMESSAGEVAR(en,MSG_Author),
		TMESSAGEVAR(en,MSG_Configuration_Ver),
		TMESSAGEVAR(en,MSG_Free_Memory),
		TMESSAGEVAR(en,MSG_Planner_Buffer_Bytes),
		TMESSAGEVAR(en,MSG_OK),
		TMESSAGEVAR(en,MSG_Wait),
		TMESSAGEVAR(en,MSG_File_Saved),
		TMESSAGEVAR(en,MSG_Err_Line_No),
		TMESSAGEVAR(en,MSG_Err_Checksum_Mismatch),
		TMESSAGEVAR(en,MSG_Err_No_Checksum),
		TMESSAGEVAR(en,MSG_Err_No_Linenumber_With_Checksum),
		TMESSAGEVAR(en,MSG_Resend),
		TMESSAGEVAR(en,MSG_File_Printed),
		TMESSAGEVAR(en,MSG_Begin_File_List),
		TMESSAGEVAR(en,MSG_End_File_List),
		TMESSAGEVAR(en,MSG_Invalid_Extruder),
		TMESSAGEVAR(en,MSG_Invalid_Extruder_Num),
		TMESSAGEVAR(en,MSG_Err_Stopped),
		TMESSAGEVAR(en,MSG_Err_Killed),
		TMESSAGEVAR(en,MSG_Active_Extruder),
		TMESSAGEVAR(en,MSG_Unknown_Command),
		TMESSAGEVAR(en,MSG_X_Max_Pin),
		TMESSAGEVAR(en,MSG_Y_Max_Pin),
		TMESSAGEVAR(en,MSG_Z_Min_Pin),
		TMESSAGEVAR(en,MSG_M119_Report),
		TMESSAGEVAR(en,MSG_Endstop_Hit),
		TMESSAGEVAR(en,MSG_Endstop_Open),
		TMESSAGEVAR(en,MSG_Hotend_Offset),
		TMESSAGEVAR(en,MSG_SD_Init_Fail),
		TMESSAGEVAR(en,MSG_SD_Vol_Init_Fail),
		TMESSAGEVAR(en,MSG_SD_Vol_Type),
		TMESSAGEVAR(en,MSG_SD_Card_OK),
		TMESSAGEVAR(en,MSG_SD_File_Opened),
		TMESSAGEVAR(en,MSG_SD_Open_File_Fail),
		TMESSAGEVAR(en,MSG_SD_File_Selected),
		TMESSAGEVAR(en,MSG_SD_Writing),
		TMESSAGEVAR(en,MSG_SD_Printing_Byte),
		TMESSAGEVAR(en,MSG_SD_Not_Printing),
		TMESSAGEVAR(en,MSG_Endstops_Hit),
		TMESSAGEVAR(en,MSG_Stepper_Too_High),
		TMESSAGEVAR(en,MSG_Cold_Extrusion_Prevented),
		TMESSAGEVAR(en,MSG_Too_Long_Extrusion_Prevented),
//---------------- serial port messages end
//---------------- LCD messages: status messages
		TMESSAGEVAR(INT,MSG_Welcome),
		TMESSAGEVAR(INT,MSG_Heating),
		TMESSAGEVAR(INT,MSG_Heating_complete),
		TMESSAGEVAR(INT,MSG_Printing),
		TMESSAGEVAR(INT,MSG_Printing_complete),
		//---------------- LCD messages: Menus messages
		TMESSAGEVAR(INT,MSG_Main_Menu),
		TMESSAGEVAR(INT,MSG_Info),
		TMESSAGEVAR(INT,MSG_Tune),
		TMESSAGEVAR(INT,MSG_Prepare),
		TMESSAGEVAR(INT,MSG_Control),
		TMESSAGEVAR(INT,MSG_Firmware),
		TMESSAGEVAR(INT,MSG_Auto_Home),
		TMESSAGEVAR(INT,MSG_Load_Filament),
		TMESSAGEVAR(INT,MSG_Unload_Filament),
		TMESSAGEVAR(INT,MSG_Preheat_PLA),
		TMESSAGEVAR(INT,MSG_Preheat_ABS),
		TMESSAGEVAR(INT,MSG_Move_Axis),
		TMESSAGEVAR(INT,MSG_Disable_Steppers),
		TMESSAGEVAR(INT,MSG_Cooldown),
		TMESSAGEVAR(INT,MSG_Extruder_offsets),
		TMESSAGEVAR(INT,MSG_Language),
		TMESSAGEVAR(INT,MSG_Temperature),
		TMESSAGEVAR(INT,MSG_Motion),
		TMESSAGEVAR(INT,MSG_Advanced),
		TMESSAGEVAR(INT,MSG_Stopwatch),
		TMESSAGEVAR(INT,MSG_Store_Eprom),
		TMESSAGEVAR(INT,MSG_Load_Eprom),
		TMESSAGEVAR(INT,MSG_Restore_Failsave),
		TMESSAGEVAR(INT,MSG_Load_ABS_EX1),
		TMESSAGEVAR(INT,MSG_Unload_ABS_EX1),
		TMESSAGEVAR(INT,MSG_Load_ABS_EX2),
		TMESSAGEVAR(INT,MSG_Unload_ABS_EX2),
		TMESSAGEVAR(INT,MSG_Load_PLA_EX1),
		TMESSAGEVAR(INT,MSG_Unload_PLA_EX1),
		TMESSAGEVAR(INT,MSG_Load_PLA_EX2),
		TMESSAGEVAR(INT,MSG_Unload_PLA_EX2),
		TMESSAGEVAR(INT,MSG_Preheat_PLA_EX1),
		TMESSAGEVAR(INT,MSG_Preheat_PLA_EX2),
		TMESSAGEVAR(INT,MSG_Preheat_PLA_EXALL),
		TMESSAGEVAR(INT,MSG_Preheat_ABS_EX1),
		TMESSAGEVAR(INT,MSG_Preheat_ABS_EX2),
		TMESSAGEVAR(INT,MSG_Preheat_ABS_EXALL),
		TMESSAGEVAR(INT,MSG_Preheat_PLA_Bed),
		TMESSAGEVAR(INT,MSG_Preheat_ABS_Bed),
		TMESSAGEVAR(INT,MSG_Load_TEXT0),
		TMESSAGEVAR(INT,MSG_Load_TEXT1),
		TMESSAGEVAR(INT,MSG_Load_TEXT2),
		TMESSAGEVAR(INT,MSG_Load_TEXT3),
		TMESSAGEVAR(INT,MSG_No_Card),
		TMESSAGEVAR(INT,MSG_Pause_Print),
		TMESSAGEVAR(INT,MSG_Resume_Print),
		TMESSAGEVAR(INT,MSG_Stop_Print),
		TMESSAGEVAR(INT,MSG_Card_Menu),
		TMESSAGEVAR(INT,MSG_Init_SDcard),
		TMESSAGEVAR(INT,MSG_Change_SDcard),
		TMESSAGEVAR(INT,MSG_Refresh),
		TMESSAGEVAR(INT,MSG_Folder_Up),
		TMESSAGEVAR(INT,MSG_Speed),
		TMESSAGEVAR(INT,MSG_Move_01mm),
		TMESSAGEVAR(INT,MSG_Move_1mm),
		TMESSAGEVAR(INT,MSG_Move_10mm),
		TMESSAGEVAR(INT,MSG_Move_X),
		TMESSAGEVAR(INT,MSG_Move_Y),
		TMESSAGEVAR(INT,MSG_Move_Z),
		TMESSAGEVAR(INT,MSG_Move_E),
		TMESSAGEVAR(INT,MSG_Start_Timer),
		TMESSAGEVAR(INT,MSG_Stop_Timer),
		TMESSAGEVAR(INT,MSG_Bed_Done),
		TMESSAGEVAR(INT,MSG_Stopped),
		TMESSAGEVAR(INT,MSG_Error_Maxtemp),
		TMESSAGEVAR(INT,MSG_Error_Mintemp),
		TMESSAGEVAR(INT,MSG_Error_Heater0broken),
		TMESSAGEVAR(INT,MSG_Error_Heater1broken),
		TMESSAGEVAR(INT,MSG_Warn_Heater_Overload),
		//-----------------LCD-format-Strings
		TMESSAGEVAR(INT,MSG_Nozzle),
		TMESSAGEVAR(INT,MSG_Nozzle1),
		TMESSAGEVAR(INT,MSG_Nozzle2),
		TMESSAGEVAR(INT,MSG_Bed),
		TMESSAGEVAR(INT,MSG_FanSpeed),
		TMESSAGEVAR(INT,MSG_Adv_Press1),
		TMESSAGEVAR(INT,MSG_Adv_Press2),
		TMESSAGEVAR(INT,MSG_Adv_delay1),
		TMESSAGEVAR(INT,MSG_Adv_delay2),
		TMESSAGEVAR(INT,MSG_Flow),
		TMESSAGEVAR(INT,MSG_Flow1),
		TMESSAGEVAR(INT,MSG_Flow2),
		TMESSAGEVAR(INT,MSG_PID_P0),
		TMESSAGEVAR(INT,MSG_PID_I0),
		TMESSAGEVAR(INT,MSG_PID_D0),
		TMESSAGEVAR(INT,MSG_PID_C0),
		TMESSAGEVAR(INT,MSG_PID_F0),
		TMESSAGEVAR(INT,MSG_PID_P1),
		TMESSAGEVAR(INT,MSG_PID_I1),
		TMESSAGEVAR(INT,MSG_PID_D1),
		TMESSAGEVAR(INT,MSG_PID_C1),
		TMESSAGEVAR(INT,MSG_PID_F1),
		TMESSAGEVAR(INT,MSG_PID_P99),
		TMESSAGEVAR(INT,MSG_PID_I99),
		TMESSAGEVAR(INT,MSG_PID_D99),
		TMESSAGEVAR(INT,MSG_PID_C99),
		TMESSAGEVAR(INT,MSG_PID_F99),
		TMESSAGEVAR(INT,MSG_Accel),
		TMESSAGEVAR(INT,MSG_VXY_Jerk),
		TMESSAGEVAR(INT,MSG_VZ_Jerk),
		TMESSAGEVAR(INT,MSG_VE_Jerk),
		TMESSAGEVAR(INT,MSG_Vmax_X),
		TMESSAGEVAR(INT,MSG_Vmax_Y),
		TMESSAGEVAR(INT,MSG_Vmax_Z),
		TMESSAGEVAR(INT,MSG_Vmax_E),
		TMESSAGEVAR(INT,MSG_Vmin),
		TMESSAGEVAR(INT,MSG_Vtrav_min),
		TMESSAGEVAR(INT,MSG_A_Retract),
		TMESSAGEVAR(INT,MSG_A_Travel),
		TMESSAGEVAR(INT,MSG_Xsteps),
		TMESSAGEVAR(INT,MSG_Ysteps),
		TMESSAGEVAR(INT,MSG_Zsteps),
		TMESSAGEVAR(INT,MSG_Esteps),
		TMESSAGEVAR(INT,MSG_Flow_time),
		TMESSAGEVAR(INT,MSG_Amax_X),
		TMESSAGEVAR(INT,MSG_Amax_Y),
		TMESSAGEVAR(INT,MSG_Amax_Z),
		TMESSAGEVAR(INT,MSG_Amax_E),
		TMESSAGEVAR(INT,MSG_Extruder_offset_X),
		TMESSAGEVAR(INT,MSG_Extruder_offset_Y),
		TMESSAGEVAR(INT,MSG_Compiled),
		TMESSAGEVAR(INT,MSG_SD_File_deleted),
		TMESSAGEVAR(INT,MSG_SD_Deletion_Error),
		TMESSAGEVAR(INT,MSG_SD_Now_Printing),
		TMESSAGEVAR(INT,MSG_SD_Printing),
		TMESSAGEVAR(INT,MSG_SD_Error_Sublevel),
		TMESSAGEVAR(INT,MSG_SD_Subroutine),
		TMESSAGEVAR(INT,MSG_CS_Error_Load_Failsave),
		TMESSAGEVAR(INT,MSG_CS_Value),
		TMESSAGEVAR(INT,MSG_PID_Reset),
		TMESSAGEVAR(INT,MSG_PID_Autotune_Invalid_Extrude),
		TMESSAGEVAR(INT,MSG_PID_Autotune_Start),
		TMESSAGEVAR(INT,MSG_Hotend_Stabilise),
		TMESSAGEVAR(INT,MSG_Hotend_Stable_Temperature),
		TMESSAGEVAR(INT,MSG_PID_Autotune_Failed),
		TMESSAGEVAR(INT,MSG_PID_Autotune_Timeout),
		TMESSAGEVAR(INT,MSG_PID_Autotune_Finished),
		TMESSAGEVAR(INT,MSG_PID_Autotune_Finished_Updated),
		TMESSAGEVAR(INT,MSG_Temp_Tune_Failed),
		TMESSAGEVAR(INT,MSG_Temp_Tune_Started),
		TMESSAGEVAR(INT,MSG_Temp_Tune_Fan),
		TMESSAGEVAR(INT,MSG_Temp_Tune_Extrusion),
		TMESSAGEVAR(INT,MSG_Temp_Heat_Result),
		TMESSAGEVAR(INT,MSG_Temp_Heat_KC),
		TMESSAGEVAR(INT,MSG_Maxtemp_Error_Extr),
		TMESSAGEVAR(INT,MSG_Mintemp_Error_Extr),
		TMESSAGEVAR(INT,MSG_Fan_Autotune_Started),
		TMESSAGEVAR(INT,MSG_Repeat_Temperature_Stabilisation),
		TMESSAGEVAR(INT,MSG_Reduce_Fan_Speed),
		TMESSAGEVAR(INT,MSG_Temperature_Stabilisation_Abort_At),
		TMESSAGEVAR(INT,MSG_Default_Parameters_Loaded),
		TMESSAGEVAR(INT,MSG_NB_EEPROM_Bytes_Loaded),
		TMESSAGEVAR(INT,MSG_Steps_Per_Unit),
		TMESSAGEVAR(INT,MSG_NB_Steps_Per_Unit),
		TMESSAGEVAR(INT,MSG_Max_Feedrates),
		TMESSAGEVAR(INT,MSG_NB_Max_Feedrates),
		TMESSAGEVAR(INT,MSG_Max_Acceleration),
		TMESSAGEVAR(INT,MSG_NB_Max_Acceleration),
		TMESSAGEVAR(INT,MSG_Filamentchange),
		TMESSAGEVAR(INT,MSG_Extruder_Nb),
		TMESSAGEVAR(INT,MSG_PID_Parameter),
		TMESSAGEVAR(INT,MSG_CF_Parameter)


};



#endif // LANGUAGE_INT_H
