/**
 * Marlin 3D Printer Firmware
 * Copyright (C) 2016 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (C) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/**
 * German
 *
 * LCD Menu Messages
 * See also https://github.com/MarlinFirmware/Marlin/wiki/LCD-Language
 *
 */
#ifndef LANGUAGE_DE_H
#define LANGUAGE_DE_H

#define MAPPER_C2C3
// Define SIMULATE_ROMFONT to see what is seen on the character based display defined in Configuration.h
//#define SIMULATE_ROMFONT
#define DISPLAY_CHARSET_ISO10646_1

//---------------- LCD messages: status messages
TMESSAGE(de, MSG_Welcome, "K8400 ready.");
TMESSAGE(de, MSG_Heating,  "Heating...");
TMESSAGE(de, MSG_Heating_complete,  "Heating done.");
TMESSAGE(de, MSG_Printing,  "Printing...");
TMESSAGE(de, MSG_Printing_complete,  "Printing done.");
//---------------- LCD messages: Menus messages
TMESSAGE(de, MSG_Main_Menu, "Hauptmenü");
TMESSAGE(de, MSG_Info, "Info Screen");
TMESSAGE(de, MSG_Tune, "Justierung");
TMESSAGE(de, MSG_Prepare, "Vorbereitung");
TMESSAGE(de, MSG_Control, "Einstellungen");
TMESSAGE(de, MSG_Firmware ,"Firmware Version");
TMESSAGE(de, MSG_Auto_Home , "Auto home");
TMESSAGE(de, MSG_Load_Filament, "Filament laden");
TMESSAGE(de, MSG_Unload_Filament, "Filament entladen");
TMESSAGE(de, MSG_Preheat_PLA, "Vorheizen PLA");
TMESSAGE(de, MSG_Preheat_ABS, "Vorheizen ABS");
TMESSAGE(de, MSG_Move_Axis, "Bewege Achsen");
TMESSAGE(de, MSG_Disable_Steppers, "Motoren Aus");
TMESSAGE(de, MSG_Cooldown, "Abkühlen");
TMESSAGE(de, MSG_Extruder_offsets, "Extruder offsets");
TMESSAGE(de, MSG_Language, "Sprache");
TMESSAGE(de, MSG_Temperature, "Temperatur");
TMESSAGE(de, MSG_Motion, "Bewegung");
TMESSAGE(de, MSG_Advanced, "Erweitert");
TMESSAGE(de, MSG_Stopwatch, "Stopuhr");
TMESSAGE(de, MSG_Store_Eprom, "EEPROM Speichern ");
TMESSAGE(de, MSG_Load_Eprom, "EEPROM Laden");
TMESSAGE(de, MSG_Restore_Failsave, "Standardkonfig");
TMESSAGE(de, MSG_Load_ABS_EX1, "Lade ABS rechts");
TMESSAGE(de, MSG_Unload_ABS_EX1, "Entlade ABS rechts");
TMESSAGE(de, MSG_Load_ABS_EX2, "Lade ABS links");
TMESSAGE(de, MSG_Unload_ABS_EX2, "Entlade ABS links");
TMESSAGE(de, MSG_Load_PLA_EX1, "Lade PLA rechts");
TMESSAGE(de, MSG_Unload_PLA_EX1, "Entlade PLA rechts");
TMESSAGE(de, MSG_Load_PLA_EX2, "Lade PLA links");
TMESSAGE(de, MSG_Unload_PLA_EX2, "Entlade PLA links");
TMESSAGE(de, MSG_Preheat_PLA_EX1, "Vorwärmen PLA 1");
TMESSAGE(de, MSG_Preheat_PLA_EX2, "Vorwärmen PLA 2");
TMESSAGE(de, MSG_Preheat_PLA_EXALL, "Vorw. PLA Alle");
TMESSAGE(de, MSG_Preheat_ABS_EX1, "Vorwärmen ABS 1");
TMESSAGE(de, MSG_Preheat_ABS_EX2, "Vorwärmen ABS 2");
TMESSAGE(de, MSG_Preheat_ABS_EXALL, "Vorwärmen ABS Alle");
TMESSAGE(de, MSG_Preheat_PLA_Bed, "Vorwärmen PLA Bed");
TMESSAGE(de, MSG_Preheat_ABS_Bed, "Vorwärmen ABS Bed");
TMESSAGE(de, MSG_Load_TEXT0, "Filament einführen");
TMESSAGE(de, MSG_Load_TEXT1, " bis 1.5cm in der");
TMESSAGE(de, MSG_Load_TEXT2, " Füuhrung ist");
TMESSAGE(de, MSG_Load_TEXT3, "Dann Knopf drücken");
TMESSAGE(de, MSG_No_Card , "Keine SDKarte");
TMESSAGE(de, MSG_Pause_Print , "Druck anhalten");
TMESSAGE(de, MSG_Resume_Print, "Druck fortsetzen");
TMESSAGE(de, MSG_Stop_Print,  "Druck beenden");
TMESSAGE(de, MSG_Card_Menu , "Drucken von SD");
TMESSAGE(de, MSG_Init_SDcard , "SDKarte erkennen");
TMESSAGE(de, MSG_Change_SDcard , "SDKarte erkennen");
TMESSAGE(de, MSG_Refresh, "\x5 Aktualisieren");
TMESSAGE(de, MSG_Folder_Up, "\x05..");
TMESSAGE(de, MSG_Move_01mm,  "Bewege 0.1mm");
TMESSAGE(de, MSG_Move_1mm,   "Bewege 1mm");
TMESSAGE(de, MSG_Move_10mm,  "Bewege 10mm");
TMESSAGE(de, MSG_Move_X,     "Bewege X");
TMESSAGE(de, MSG_Move_Y ,    "Bewege Y");
TMESSAGE(de, MSG_Move_Z ,    "Bewege Z");
TMESSAGE(de, MSG_Move_E,     "Extruder");
TMESSAGE(de, MSG_Start_Timer,     "Start");
TMESSAGE(de, MSG_Stop_Timer,     "Stop");
TMESSAGE(de, MSG_Bed_Done,     "Bed done.");
TMESSAGE(de, MSG_Stopped,     "STOPPED");
TMESSAGE(de, MSG_Error_Maxtemp,     "Err: MAXTEMP");
TMESSAGE(de, MSG_Error_Mintemp,     "Err: MINTEMP");
TMESSAGE(de, MSG_Error_Heater0broken,     "Err: Heizung0 offen");
TMESSAGE(de, MSG_Error_Heater1broken,     "Err: Heizung1 offen");
TMESSAGE(de, MSG_Warn_Heater_Overload,     "Heizung Überlast");
//-----------------LCD-format-Strings
TMESSAGE(de, MSG_Nozzle, 	"Düse           %3i");
TMESSAGE(de, MSG_Nozzle1, 	"Düse 1         %3i");
TMESSAGE(de, MSG_Nozzle2, 	"Düse 2         %3i");
TMESSAGE(de, MSG_Bed,     	"Bed            %3i");
TMESSAGE(de, MSG_Speed, 	"Geschw.        %3i");
TMESSAGE(de, MSG_FanSpeed  ,"Lüfter         %3i");
TMESSAGE(de, MSG_Adv_Press1,"press_adv_1    %3.0f");
TMESSAGE(de, MSG_Adv_Press2,"press_adv_2    %3.0f");
TMESSAGE(de, MSG_Adv_delay1,"delay 1        %3i");
TMESSAGE(de, MSG_Adv_delay2,"delay 2        %3i");
TMESSAGE(de, MSG_Flow, 		"Flow           %3i");
TMESSAGE(de, MSG_Flow1,   	"Flow 1         %3i");
TMESSAGE(de, MSG_Flow2,     "Flow 2         %3i");
TMESSAGE(de, MSG_PID_P0,    "PID-P 1      %5.2f");
TMESSAGE(de, MSG_PID_I0,    "PID-I 1      %5.2f");
TMESSAGE(de, MSG_PID_D0,    "PID-D 1      %5.2f");
TMESSAGE(de, MSG_PID_C0,    "PID-C 1      %5.2f");
TMESSAGE(de, MSG_PID_F0,    "PID-F 1      %4.2f");
TMESSAGE(de, MSG_PID_P1,    "PID-P 2      %5.2f");
TMESSAGE(de, MSG_PID_I1,    "PID-I 2      %5.2f");
TMESSAGE(de, MSG_PID_D1,    "PID-D 2      %5.2f");
TMESSAGE(de, MSG_PID_C1,    "PID-C 2      %5.2f");
TMESSAGE(de, MSG_PID_F1,    "PID-F 2      %4.2f");
TMESSAGE(de, MSG_PID_P99,   "PID-P Bed    %5.2f");
TMESSAGE(de, MSG_PID_I99,   "PID-I Bed    %5.2f");
TMESSAGE(de, MSG_PID_D99,   "PID-D Bed    %5.2f");
TMESSAGE(de, MSG_PID_C99,   "PID-C Bed    %5.2f");
TMESSAGE(de, MSG_PID_F99,   "PID-F Bed      %3.0f");
TMESSAGE(de, MSG_Accel,		"Beschl.        %5.0f");
TMESSAGE(de, MSG_VXY_Jerk,  "Vxy-jerk       %3.0f");
TMESSAGE(de, MSG_VZ_Jerk,   "Vz-jerk       %5.2f");
TMESSAGE(de, MSG_VE_Jerk,   "Ve-jerk        %3.0f");
TMESSAGE(de, MSG_Vmax_X,    "Vmax X         %3.0f");
TMESSAGE(de, MSG_Vmax_Y,    "Vmax Y         %3.0f");
TMESSAGE(de, MSG_Vmax_Z,    "Vmax Z         %3.0f");
TMESSAGE(de, MSG_Vmax_E,    "Vmax E        %4.0f");
TMESSAGE(de, MSG_Vmin,      "Vmin           %3.0f");
TMESSAGE(de, MSG_Vtrav_min, "VTrav min      %3.0f");
TMESSAGE(de, MSG_A_Retract, "A-retract     %5.0f");
TMESSAGE(de, MSG_A_Travel,  "A-travel");
TMESSAGE(de, MSG_Xsteps,    "Xsteps/mm   %5.2f");
TMESSAGE(de, MSG_Ysteps,    "Ysteps/mm   %5.2f");
TMESSAGE(de, MSG_Zsteps,    "Zsteps/mm   %5.1f");
TMESSAGE(de, MSG_Esteps,    "Esteps/mm    %5.1f");
TMESSAGE(de, MSG_Flow_time, "Flow time      %3i");
TMESSAGE(de, MSG_Amax_X,    "Amax X    %5l");
TMESSAGE(de, MSG_Amax_Y,    "Amax Y    %5l");
TMESSAGE(de, MSG_Amax_Z,    "Amax Z    %5l");
TMESSAGE(de, MSG_Amax_E,    "Amax E    %5l");
TMESSAGE(de, MSG_Extruder_offset_X,    "Offset X    %1.2f");
TMESSAGE(de, MSG_Extruder_offset_Y,    "Offset Y    %1.2f");
TMESSAGE(de, MSG_Compiled , " Compiled: ");
TMESSAGE(de, MSG_CS_Error_Load_Failsave , "Prüfsummen-Fehler für Parameter:. Standardwerte geladen\n");
TMESSAGE(de, MSG_CS_Value , "Prüfsumme :  %i\n");
TMESSAGE(de, MSG_SD_Vol_Init_Fail , "CKann keine gültige FAT16/FAT32 partition finden.\n");
TMESSAGE(de, MSG_SD_Now_Printing ,  "Now fresh file: %s\n");
TMESSAGE(de, MSG_SD_Printing ,  "Now doing file: %s\n");
TMESSAGE(de, MSG_SD_Error_Sublevel ,  "trying to call sub-gcode files with too many levels. MAX level is: %i\n");
TMESSAGE(de, MSG_SD_Subroutine ,  "SUBROUTINE CALL target:\"%s\" parent:\"%s\" pos %i\n");
TMESSAGE(de, MSG_Filamentchange, "Filament wechseln\n" );
TMESSAGE(de, MSG_PID_Autotune_Invalid_Extrude , "PID Autotune Fehler. Falsche extruder ID.");
TMESSAGE(de, MSG_PID_Autotune_Start , "PID Autotune start");
TMESSAGE(de, MSG_Hotend_Stabilise , "Sabilisiere hotend\n");
TMESSAGE(de, MSG_Hotend_Stable_Temperature , "Temperatur stabilisiert bei %f\n");
TMESSAGE(de, MSG_PID_Reset , "PID reset");
TMESSAGE(de, MSG_PID_Autotune_Failed , "PID Autotune Fehler! Temperatur zu hoch");
TMESSAGE(de, MSG_PID_Autotune_Timeout , "PID Autotune Fehler! timeout\n");
TMESSAGE(de, MSG_PID_Autotune_Finished , "PID Autotune fertig! Trage die letzten Kp, Ki and Kd Werte von oben in Configuration.h ein\n");
TMESSAGE(de, MSG_PID_Autotune_Finished_Updated , "PID Autotune fertig! PID Parameters aktualisiert\n");
TMESSAGE(de, MSG_Temp_Tune_Failed , "Abbruch tuning, Nich in home Position\n");
TMESSAGE(de, MSG_Temp_Tune_Started , "Start tuning - - -\n");
TMESSAGE(de, MSG_Temp_Tune_Fan , "Step 1: tune fan parameter\n");
TMESSAGE(de, MSG_Temp_Tune_Extrusion , "Step 2: tune extrusion parameter");
TMESSAGE(de, MSG_Temp_Heat_Result , " Heat @ %imm : %i\n");
TMESSAGE(de, MSG_Temp_Heat_KC , " Extrusion coefficient Kc %i\n");
TMESSAGE(de, MSG_Maxtemp_Error_Extr , " Heater switched off. MAXTEMP triggered on Extruder %i!\n");
TMESSAGE(de, MSG_Mintemp_Error_Extr , " Heater switched off. MINTEMP triggered on Extruder %i!\n");
TMESSAGE(de, MSG_Fan_Autotune_Started ,"Fan Autotune starting\n");
TMESSAGE(de, MSG_Repeat_Temperature_Stabilisation , " Repeat Temperature stabilisation \n");
TMESSAGE(de, MSG_Reduce_Fan_Speed , " Reducimg fan speed!\n");
TMESSAGE(de, MSG_Temperature_Stabilisation_Abort_At , " Temperature not reached, abort at %.1f\n");
TMESSAGE(de, MSG_Default_Parameters_Loaded , "Hardcoded Default Parameter Loaded");
TMESSAGE(de, MSG_NB_EEPROM_Bytes_Loaded , " eeprom bytes loaded: %i\n");
TMESSAGE(de, MSG_Steps_Per_Unit , "Steps per unit (M92):\n");
TMESSAGE(de, MSG_NB_Steps_Per_Unit , " X %1.2f, Y %1.2f, Z %1.2f, E %1.2f\n\n");
TMESSAGE(de, MSG_Max_Feedrates , "Maximum feedrates (mm/s) (M203)\n:");
TMESSAGE(de, MSG_NB_Max_Feedrates , "  M203 X %f, Y %f, Z %f, E %f\n\n");
TMESSAGE(de, MSG_Max_Acceleration , "Maximum Acceleration (mm/s2) (M201):\n");
TMESSAGE(de, MSG_NB_Max_Acceleration , "  M201 X %l, Y %l, Z %l, E %l\n\n");
TMESSAGE(de, MSG_Extruder_Nb , " Heizung  %i:\n");
TMESSAGE(de, MSG_PID_Parameter , "  P: %f I: %f D: %f\n");
TMESSAGE(de, MSG_CF_Parameter , "  C: %f F: %f\n\n");
TMESSAGE(de, MSG_SD_File_deleted , "File gelöscht: %s\n");
TMESSAGE(de, MSG_SD_Deletion_Error , "Deletion failed, File: %s\n");


PGM_P message_list_de[]  = {
//---------- Serial port messages, do not translate
		TMESSAGEVAR(en,MSG_Marlin),
		TMESSAGEVAR(en,MSG_Author),
		TMESSAGEVAR(en,MSG_Configuration_Ver),
		TMESSAGEVAR(en,MSG_Free_Memory),
		TMESSAGEVAR(en,MSG_Planner_Buffer_Bytes),
		TMESSAGEVAR(en,MSG_OK),
		TMESSAGEVAR(en,MSG_Wait),
		TMESSAGEVAR(en,MSG_File_Saved),
		TMESSAGEVAR(en,MSG_Err_Line_No),
		TMESSAGEVAR(en,MSG_Err_Checksum_Mismatch),
		TMESSAGEVAR(en,MSG_Err_No_Checksum),
		TMESSAGEVAR(en,MSG_Err_No_Linenumber_With_Checksum),
		TMESSAGEVAR(en,MSG_Resend),
		TMESSAGEVAR(en,MSG_File_Printed),
		TMESSAGEVAR(en,MSG_Begin_File_List),
		TMESSAGEVAR(en,MSG_End_File_List),
		TMESSAGEVAR(en,MSG_Invalid_Extruder),
		TMESSAGEVAR(en,MSG_Invalid_Extruder_Num),
		TMESSAGEVAR(en,MSG_Err_Stopped),
		TMESSAGEVAR(en,MSG_Err_Killed),
		TMESSAGEVAR(en,MSG_Active_Extruder),
		TMESSAGEVAR(en,MSG_Unknown_Command),
		TMESSAGEVAR(en,MSG_X_Max_Pin),
		TMESSAGEVAR(en,MSG_Y_Max_Pin),
		TMESSAGEVAR(en,MSG_Z_Min_Pin),
		TMESSAGEVAR(en,MSG_M119_Report),
		TMESSAGEVAR(en,MSG_Endstop_Hit),
		TMESSAGEVAR(en,MSG_Endstop_Open),
		TMESSAGEVAR(en,MSG_Hotend_Offset),
		TMESSAGEVAR(en,MSG_SD_Init_Fail),
		TMESSAGEVAR(en,MSG_SD_Vol_Init_Fail),
		TMESSAGEVAR(en,MSG_SD_Vol_Type),
		TMESSAGEVAR(en,MSG_SD_Card_OK),
		TMESSAGEVAR(en,MSG_SD_File_Opened),
		TMESSAGEVAR(en,MSG_SD_Open_File_Fail),
		TMESSAGEVAR(en,MSG_SD_File_Selected),
		TMESSAGEVAR(en,MSG_SD_Writing),
		TMESSAGEVAR(en,MSG_SD_Printing_Byte),
		TMESSAGEVAR(en,MSG_SD_Not_Printing),
		TMESSAGEVAR(en,MSG_Endstops_Hit),
		TMESSAGEVAR(en,MSG_Stepper_Too_High),
		TMESSAGEVAR(en,MSG_Cold_Extrusion_Prevented),
		TMESSAGEVAR(en,MSG_Too_Long_Extrusion_Prevented),
//---------------- serial port messages end
//---------------- LCD messages: status messages
		TMESSAGEVAR(de,MSG_Welcome),
		TMESSAGEVAR(de,MSG_Heating),
		TMESSAGEVAR(de,MSG_Heating_complete),
		TMESSAGEVAR(de,MSG_Printing),
		TMESSAGEVAR(de,MSG_Printing_complete),
		//---------------- LCD messages: Menus messages
		TMESSAGEVAR(de,MSG_Main_Menu),
		TMESSAGEVAR(de,MSG_Info),
		TMESSAGEVAR(de,MSG_Tune),
		TMESSAGEVAR(de,MSG_Prepare),
		TMESSAGEVAR(de,MSG_Control),
		TMESSAGEVAR(de,MSG_Firmware),
		TMESSAGEVAR(de,MSG_Auto_Home),
		TMESSAGEVAR(de,MSG_Load_Filament),
		TMESSAGEVAR(de,MSG_Unload_Filament),
		TMESSAGEVAR(de,MSG_Preheat_PLA),
		TMESSAGEVAR(de,MSG_Preheat_ABS),
		TMESSAGEVAR(de,MSG_Move_Axis),
		TMESSAGEVAR(de,MSG_Disable_Steppers),
		TMESSAGEVAR(de,MSG_Cooldown),
		TMESSAGEVAR(de,MSG_Extruder_offsets),
		TMESSAGEVAR(de,MSG_Language),
		TMESSAGEVAR(de,MSG_Temperature),
		TMESSAGEVAR(de,MSG_Motion),
		TMESSAGEVAR(de,MSG_Advanced),
		TMESSAGEVAR(de,MSG_Stopwatch),
		TMESSAGEVAR(de,MSG_Store_Eprom),
		TMESSAGEVAR(de,MSG_Load_Eprom),
		TMESSAGEVAR(de,MSG_Restore_Failsave),
		TMESSAGEVAR(de,MSG_Load_ABS_EX1),
		TMESSAGEVAR(de,MSG_Unload_ABS_EX1),
		TMESSAGEVAR(de,MSG_Load_ABS_EX2),
		TMESSAGEVAR(de,MSG_Unload_ABS_EX2),
		TMESSAGEVAR(de,MSG_Load_PLA_EX1),
		TMESSAGEVAR(de,MSG_Unload_PLA_EX1),
		TMESSAGEVAR(de,MSG_Load_PLA_EX2),
		TMESSAGEVAR(de,MSG_Unload_PLA_EX2),
		TMESSAGEVAR(de,MSG_Preheat_PLA_EX1),
		TMESSAGEVAR(de,MSG_Preheat_PLA_EX2),
		TMESSAGEVAR(de,MSG_Preheat_PLA_EXALL),
		TMESSAGEVAR(de,MSG_Preheat_ABS_EX1),
		TMESSAGEVAR(de,MSG_Preheat_ABS_EX2),
		TMESSAGEVAR(de,MSG_Preheat_ABS_EXALL),
		TMESSAGEVAR(de,MSG_Preheat_PLA_Bed),
		TMESSAGEVAR(de,MSG_Preheat_ABS_Bed),
		TMESSAGEVAR(de,MSG_Load_TEXT0),
		TMESSAGEVAR(de,MSG_Load_TEXT1),
		TMESSAGEVAR(de,MSG_Load_TEXT2),
		TMESSAGEVAR(de,MSG_Load_TEXT3),
		TMESSAGEVAR(de,MSG_No_Card),
		TMESSAGEVAR(de,MSG_Pause_Print),
		TMESSAGEVAR(de,MSG_Resume_Print),
		TMESSAGEVAR(de,MSG_Stop_Print),
		TMESSAGEVAR(de,MSG_Card_Menu),
		TMESSAGEVAR(de,MSG_Init_SDcard),
		TMESSAGEVAR(de,MSG_Change_SDcard),
		TMESSAGEVAR(de,MSG_Refresh),
		TMESSAGEVAR(de,MSG_Folder_Up),
		TMESSAGEVAR(de,MSG_Speed),
		TMESSAGEVAR(de,MSG_Move_01mm),
		TMESSAGEVAR(de,MSG_Move_1mm),
		TMESSAGEVAR(de,MSG_Move_10mm),
		TMESSAGEVAR(de,MSG_Move_X),
		TMESSAGEVAR(de,MSG_Move_Y),
		TMESSAGEVAR(de,MSG_Move_Z),
		TMESSAGEVAR(de,MSG_Move_E),
		TMESSAGEVAR(de,MSG_Start_Timer),
		TMESSAGEVAR(de,MSG_Stop_Timer),
		TMESSAGEVAR(de,MSG_Bed_Done),
		TMESSAGEVAR(de,MSG_Stopped),
		TMESSAGEVAR(de,MSG_Error_Maxtemp),
		TMESSAGEVAR(de,MSG_Error_Mintemp),
		TMESSAGEVAR(de,MSG_Error_Heater0broken),
		TMESSAGEVAR(de,MSG_Error_Heater1broken),
		TMESSAGEVAR(de,MSG_Warn_Heater_Overload),
		//-----------------LCD-format-Strings
		TMESSAGEVAR(de,MSG_Nozzle),
		TMESSAGEVAR(de,MSG_Nozzle1),
		TMESSAGEVAR(de,MSG_Nozzle2),
		TMESSAGEVAR(de,MSG_Bed),
		TMESSAGEVAR(de,MSG_FanSpeed),
		TMESSAGEVAR(de,MSG_Adv_Press1),
		TMESSAGEVAR(de,MSG_Adv_Press2),
		TMESSAGEVAR(de,MSG_Adv_delay1),
		TMESSAGEVAR(de,MSG_Adv_delay2),
		TMESSAGEVAR(de,MSG_Flow),
		TMESSAGEVAR(de,MSG_Flow1),
		TMESSAGEVAR(de,MSG_Flow2),
		TMESSAGEVAR(de,MSG_PID_P0),
		TMESSAGEVAR(de,MSG_PID_I0),
		TMESSAGEVAR(de,MSG_PID_D0),
		TMESSAGEVAR(de,MSG_PID_C0),
		TMESSAGEVAR(de,MSG_PID_F0),
		TMESSAGEVAR(de,MSG_PID_P1),
		TMESSAGEVAR(de,MSG_PID_I1),
		TMESSAGEVAR(de,MSG_PID_D1),
		TMESSAGEVAR(de,MSG_PID_C1),
		TMESSAGEVAR(de,MSG_PID_F1),
		TMESSAGEVAR(de,MSG_PID_P99),
		TMESSAGEVAR(de,MSG_PID_I99),
		TMESSAGEVAR(de,MSG_PID_D99),
		TMESSAGEVAR(de,MSG_PID_C99),
		TMESSAGEVAR(de,MSG_PID_F99),
		TMESSAGEVAR(de,MSG_Accel),
		TMESSAGEVAR(de,MSG_VXY_Jerk),
		TMESSAGEVAR(de,MSG_VZ_Jerk),
		TMESSAGEVAR(de,MSG_VE_Jerk),
		TMESSAGEVAR(de,MSG_Vmax_X),
		TMESSAGEVAR(de,MSG_Vmax_Y),
		TMESSAGEVAR(de,MSG_Vmax_Z),
		TMESSAGEVAR(de,MSG_Vmax_E),
		TMESSAGEVAR(de,MSG_Vmin),
		TMESSAGEVAR(de,MSG_Vtrav_min),
		TMESSAGEVAR(de,MSG_A_Retract),
		TMESSAGEVAR(de,MSG_A_Travel),
		TMESSAGEVAR(de,MSG_Xsteps),
		TMESSAGEVAR(de,MSG_Ysteps),
		TMESSAGEVAR(de,MSG_Zsteps),
		TMESSAGEVAR(de,MSG_Esteps),
		TMESSAGEVAR(de,MSG_Flow_time),
		TMESSAGEVAR(de,MSG_Amax_X),
		TMESSAGEVAR(de,MSG_Amax_Y),
		TMESSAGEVAR(de,MSG_Amax_Z),
		TMESSAGEVAR(de,MSG_Amax_E),
		TMESSAGEVAR(de,MSG_Extruder_offset_X),
		TMESSAGEVAR(de,MSG_Extruder_offset_Y),
		TMESSAGEVAR(de,MSG_Compiled),
		TMESSAGEVAR(de,MSG_SD_File_deleted),
		TMESSAGEVAR(de,MSG_SD_Deletion_Error),
		TMESSAGEVAR(de,MSG_SD_Now_Printing),
		TMESSAGEVAR(de,MSG_SD_Printing),
		TMESSAGEVAR(de,MSG_SD_Error_Sublevel),
		TMESSAGEVAR(de,MSG_SD_Subroutine),
		TMESSAGEVAR(de,MSG_CS_Error_Load_Failsave),
		TMESSAGEVAR(de,MSG_CS_Value),
		TMESSAGEVAR(de,MSG_PID_Reset),
		TMESSAGEVAR(de,MSG_PID_Autotune_Invalid_Extrude),
		TMESSAGEVAR(de,MSG_PID_Autotune_Start),
		TMESSAGEVAR(de,MSG_Hotend_Stabilise),
		TMESSAGEVAR(de,MSG_Hotend_Stable_Temperature),
		TMESSAGEVAR(de,MSG_PID_Autotune_Failed),
		TMESSAGEVAR(de,MSG_PID_Autotune_Timeout),
		TMESSAGEVAR(de,MSG_PID_Autotune_Finished),
		TMESSAGEVAR(de,MSG_PID_Autotune_Finished_Updated),
		TMESSAGEVAR(de,MSG_Temp_Tune_Failed),
		TMESSAGEVAR(de,MSG_Temp_Tune_Started),
		TMESSAGEVAR(de,MSG_Temp_Tune_Fan),
		TMESSAGEVAR(de,MSG_Temp_Tune_Extrusion),
		TMESSAGEVAR(de,MSG_Temp_Heat_Result),
		TMESSAGEVAR(de,MSG_Temp_Heat_KC),
		TMESSAGEVAR(de,MSG_Maxtemp_Error_Extr),
		TMESSAGEVAR(de,MSG_Mintemp_Error_Extr),
		TMESSAGEVAR(de,MSG_Fan_Autotune_Started),
		TMESSAGEVAR(de,MSG_Repeat_Temperature_Stabilisation),
		TMESSAGEVAR(de,MSG_Reduce_Fan_Speed),
		TMESSAGEVAR(de,MSG_Temperature_Stabilisation_Abort_At),
		TMESSAGEVAR(de,MSG_Default_Parameters_Loaded),
		TMESSAGEVAR(de,MSG_NB_EEPROM_Bytes_Loaded),
		TMESSAGEVAR(de,MSG_Steps_Per_Unit),
		TMESSAGEVAR(de,MSG_NB_Steps_Per_Unit),
		TMESSAGEVAR(de,MSG_Max_Feedrates),
		TMESSAGEVAR(de,MSG_NB_Max_Feedrates),
		TMESSAGEVAR(de,MSG_Max_Acceleration),
		TMESSAGEVAR(de,MSG_NB_Max_Acceleration),
		TMESSAGEVAR(de,MSG_Filamentchange),
		TMESSAGEVAR(de,MSG_Extruder_Nb),
		TMESSAGEVAR(de,MSG_PID_Parameter),
		TMESSAGEVAR(de,MSG_CF_Parameter)


};



#endif // LANGUAGE_DE_H
