/**
 * Marlin 3D Prfrer Firmware
 * Copyright (C) 2016 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprfrer and grbl.
 * Copyright (C) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/**
 * French
 *
 * LCD Menu Messages
 * See also https://github.com/MarlinFirmware/Marlin/wiki/LCD-Language
 *
 */
#ifndef LANGUAGE_FR_H
#define LANGUAGE_FR_H

#define MAPPER_C2C3

#define DISPLAY_CHARSET_ISO10646_1

//---------------- LCD messages: status messages
TMESSAGE(fr, MSG_Welcome, "K8400 prete.");
TMESSAGE(fr, MSG_Heating,  "En chauffe...");
TMESSAGE(fr, MSG_Heating_complete,  "Heating done.");
TMESSAGE(fr, MSG_Printing,  "Prfring...");
TMESSAGE(fr, MSG_Printing_complete,  "Prfring done.");
//---------------- LCD messages: Menus messages
TMESSAGE(fr, MSG_Main_Menu, "Menu principal");
TMESSAGE(fr, MSG_Info, "Info Screen");
TMESSAGE(fr, MSG_Tune, "Regler");
TMESSAGE(fr, MSG_Prepare, "Preparer");
TMESSAGE(fr, MSG_Control, "Control");
TMESSAGE(fr, MSG_Firmware ,"Firmware version");
TMESSAGE(fr, MSG_Auto_Home , "Origine auto");
TMESSAGE(fr, MSG_Load_Filament, "Load filament");
TMESSAGE(fr, MSG_Unload_Filament, "Unload filament");
TMESSAGE(fr, MSG_Preheat_PLA, "Prechauffage PLA");
TMESSAGE(fr, MSG_Preheat_ABS, "Prechauffage ABS");
TMESSAGE(fr, MSG_Move_Axis, "Move axis");
TMESSAGE(fr, MSG_Disable_Steppers, "Arreter moteurs");
TMESSAGE(fr, MSG_Cooldown, "Refroidir");
TMESSAGE(fr, MSG_Extruder_offsets, "Extruder offsets");
TMESSAGE(fr, MSG_Language, "Language");
TMESSAGE(fr, MSG_Temperature, "Temperature");
TMESSAGE(fr, MSG_Motion, "Motion");
TMESSAGE(fr, MSG_Advanced, "Advanced");
TMESSAGE(fr, MSG_Stopwatch, "Stopwatch");
TMESSAGE(fr, MSG_Store_Eprom, "Store memory");
TMESSAGE(fr, MSG_Load_Eprom, "Load memory");
TMESSAGE(fr, MSG_Restore_Failsave, "Restore failsafe");
TMESSAGE(fr, MSG_Load_ABS_EX1, "Load ABS right");
TMESSAGE(fr, MSG_Unload_ABS_EX1, "Unload ABS right");
TMESSAGE(fr, MSG_Load_ABS_EX2, "Load ABS left");
TMESSAGE(fr, MSG_Unload_ABS_EX2, "Unload ABS left");
TMESSAGE(fr, MSG_Load_PLA_EX1, "Load PLA right");
TMESSAGE(fr, MSG_Unload_PLA_EX1, "Unload PLA right");
TMESSAGE(fr, MSG_Load_PLA_EX2, "Load PLA left");
TMESSAGE(fr, MSG_Unload_PLA_EX2, "Unload PLA left");
TMESSAGE(fr, MSG_Preheat_PLA_EX1, "Prechauffage PLA 1");
TMESSAGE(fr, MSG_Preheat_PLA_EX2, "Prechauffage PLA 2");
TMESSAGE(fr, MSG_Preheat_PLA_EXALL, "Preheat PLA All");
TMESSAGE(fr, MSG_Preheat_ABS_EX1, "Prechauffage ABS 1");
TMESSAGE(fr, MSG_Preheat_ABS_EX2, "Prechauffage ABS 2");
TMESSAGE(fr, MSG_Preheat_ABS_EXALL, "Preheat ABS All");
TMESSAGE(fr, MSG_Preheat_PLA_Bed, "Prechauffage PLA Plat");
TMESSAGE(fr, MSG_Preheat_ABS_Bed, "Prechauffage ABS Plat");
TMESSAGE(fr, MSG_Load_TEXT0, "Insert filament");
TMESSAGE(fr, MSG_Load_TEXT1, " until 1.5cm is");
TMESSAGE(fr, MSG_Load_TEXT2, " visible in tube");
TMESSAGE(fr, MSG_Load_TEXT3, "Then press button");
TMESSAGE(fr, MSG_No_Card , "No SD card");
TMESSAGE(fr, MSG_Pause_Prfr , "Pause prfr");
TMESSAGE(fr, MSG_Resume_Prfr, "Resume prfr");
TMESSAGE(fr, MSG_Stop_Prfr,  "Stop prfr");
TMESSAGE(fr, MSG_Card_Menu , "Prfr from SD");
TMESSAGE(fr, MSG_Init_SDcard , "Init. SD card");
TMESSAGE(fr, MSG_Change_SDcard , "Change SD card");
TMESSAGE(fr, MSG_Refresh, "\x5Refresh");
TMESSAGE(fr, MSG_Folder_Up, "\x05..");
TMESSAGE(fr, MSG_Move_01mm,  "Depl. 0.1mm");
TMESSAGE(fr, MSG_Move_1mm,   "Depl. 1mm");
TMESSAGE(fr, MSG_Move_10mm,  "Depl. 10mm");
TMESSAGE(fr, MSG_Move_X,     "Depl. X");
TMESSAGE(fr, MSG_Move_Y ,    "Depl. Y");
TMESSAGE(fr, MSG_Move_Z ,    "Depl. Z");
TMESSAGE(fr, MSG_Move_E,     "Extruder");
TMESSAGE(fr, MSG_Start_Timer,     "Start");
TMESSAGE(fr, MSG_Stop_Timer,     "Stop");
TMESSAGE(fr, MSG_Bed_Done,     "Bed done.");
TMESSAGE(fr, MSG_Stopped,     "STOPPED");
TMESSAGE(fr, MSG_Error_Maxtemp,     "Err: MAXTEMP");
TMESSAGE(fr, MSG_Error_Mfremp,     "Err: MfrEMP");
TMESSAGE(fr, MSG_Error_Heater0broken,     "Err: heater0 broken");
TMESSAGE(fr, MSG_Error_Heater1broken,     "Err: heater1 broken");
TMESSAGE(fr, MSG_Warn_Heater_Overload,     "Heater overload");
//-----------------LCD-format-Strings
TMESSAGE(fr, MSG_Nozzle, 	"Nozzle         %3i");
TMESSAGE(fr, MSG_Nozzle1, 	"Nozzle 1       %3i");
TMESSAGE(fr, MSG_Nozzle2, 	"Nozzle 2       %3i");
TMESSAGE(fr, MSG_Bed,     	"Bed            %3i");
TMESSAGE(fr, MSG_Speed, 	"Speed          %3i");
TMESSAGE(fr, MSG_FanSpeed  ,"Vite. vent     %3i");
TMESSAGE(fr, MSG_Adv_Press1,"press_adv_1    %3.0f");
TMESSAGE(fr, MSG_Adv_Press2,"press_adv_2    %3.0f");
TMESSAGE(fr, MSG_Adv_delay1,"delay 1        %3i");
TMESSAGE(fr, MSG_Adv_delay2,"delay 2        %3i");
TMESSAGE(fr, MSG_Flow, 		"Flux           %3i");
TMESSAGE(fr, MSG_Flow1,   	"Flux 1         %3i");
TMESSAGE(fr, MSG_Flow2,     "Flux 2         %3i");
TMESSAGE(fr, MSG_PID_P0,    "PID-P 1      %5.2f");
TMESSAGE(fr, MSG_PID_I0,    "PID-I 1      %5.2f");
TMESSAGE(fr, MSG_PID_D0,    "PID-D 1      %5.2f");
TMESSAGE(fr, MSG_PID_C0,    "PID-C 1      %5.2f");
TMESSAGE(fr, MSG_PID_F0,    "PID-F 1      %4.2f");
TMESSAGE(fr, MSG_PID_P1,    "PID-P 2      %5.2f");
TMESSAGE(fr, MSG_PID_I1,    "PID-I 2      %5.2f");
TMESSAGE(fr, MSG_PID_D1,    "PID-D 2      %5.2f");
TMESSAGE(fr, MSG_PID_C1,    "PID-C 2      %5.2f");
TMESSAGE(fr, MSG_PID_F1,    "PID-F 2      %4.2f");
TMESSAGE(fr, MSG_PID_P99,    "PID-P Bed    %5.2f");
TMESSAGE(fr, MSG_PID_I99,    "PID-I Bed    %5.2f");
TMESSAGE(fr, MSG_PID_D99,    "PID-D Bed    %5.2f");
TMESSAGE(fr, MSG_PID_C99,    "PID-C Bed    %5.2f");
TMESSAGE(fr, MSG_PID_F99,    "PID-F Bed      %3.0f");
TMESSAGE(fr, MSG_Accel,		"Accel         %5.0f");
TMESSAGE(fr, MSG_VXY_Jerk,  "Vxy-jerk       %3.0f");
TMESSAGE(fr, MSG_VZ_Jerk,   "Vz-jerk       %5.2f");
TMESSAGE(fr, MSG_VE_Jerk,   "Ve-jerk        %3.0f");
TMESSAGE(fr, MSG_Vmax_X,    "Vmax X         %3.0f");
TMESSAGE(fr, MSG_Vmax_Y,    "Vmax Y         %3.0f");
TMESSAGE(fr, MSG_Vmax_Z,    "Vmax Z         %3.0f");
TMESSAGE(fr, MSG_Vmax_E,    "Vmax E        %4.0f");
TMESSAGE(fr, MSG_Vmin,      "Vmin           %3.0f");
TMESSAGE(fr, MSG_Vtrav_min, "VTrav min      %3.0f");
TMESSAGE(fr, MSG_A_Retract, "A-retract     %5.0f");
TMESSAGE(fr, MSG_A_Travel,  "A-travel");
TMESSAGE(fr, MSG_Xsteps,    "Xsteps/mm   %5.2f");
TMESSAGE(fr, MSG_Ysteps,    "Ysteps/mm   %5.2f");
TMESSAGE(fr, MSG_Zsteps,    "Zsteps/mm   %5.1f");
TMESSAGE(fr, MSG_Esteps,    "Esteps/mm    %5.1f");
TMESSAGE(fr, MSG_Flow_time, "Flow time      %3i");
TMESSAGE(fr, MSG_Amax_X,    "Amax X    %5l");
TMESSAGE(fr, MSG_Amax_Y,    "Amax Y    %5l");
TMESSAGE(fr, MSG_Amax_Z,    "Amax Z    %5l");
TMESSAGE(fr, MSG_Amax_E,    "Amax E    %5l");
TMESSAGE(fr, MSG_Extruder_offset_X,    "Offset X    %1.2f");
TMESSAGE(fr, MSG_Extruder_offset_Y,    "Offset Y    %1.2f");
TMESSAGE(fr, MSG_Compiled , " Compiled: ");
TMESSAGE(fr, MSG_CS_Error_Load_Failsave , "Checksum error on prfrer parameters. Failsave values loaded\n");
TMESSAGE(fr, MSG_CS_Value , "Checksum :  %i\n");
TMESSAGE(fr, MSG_SD_Vol_Init_Fail , "Can't find a valid FAT16/FAT32 partition.\n");
TMESSAGE(fr, MSG_SD_Now_Prfring ,  "Now fresh file: %s\n");
TMESSAGE(fr, MSG_SD_Prfring ,  "Now doing file: %s\n");
TMESSAGE(fr, MSG_SD_Error_Sublevel ,  "trying to call sub-gcode files with too many levels. MAX level is: %i\n");
TMESSAGE(fr, MSG_SD_Subroutine ,  "SUBROUTINE CALL target:\"%s\" parent:\"%s\" pos %i\n");
TMESSAGE(fr, MSG_Filamentchange, "Change filament\n" );
TMESSAGE(fr, MSG_PID_Autotune_Invalid_Extrude , "PID Autotune failed. Bad extruder number.");
TMESSAGE(fr, MSG_PID_Autotune_Start , "PID Autotune start");
TMESSAGE(fr, MSG_Hotend_Stabilise , "Stabilise hotend\n");
TMESSAGE(fr, MSG_Hotend_Stable_Temperature , "Temperature stabilised at %f\n");
TMESSAGE(fr, MSG_PID_Reset , "PID reset");
TMESSAGE(fr, MSG_PID_Autotune_Failed , "PID Autotune failed! Temperature too high");
TMESSAGE(fr, MSG_PID_Autotune_Timeout , "PID Autotune failed! timeout\n");
TMESSAGE(fr, MSG_PID_Autotune_Finished , "PID Autotune finished! Put the last Kp, Ki and Kd constants from above fro Configuration.h\n");
TMESSAGE(fr, MSG_PID_Autotune_Finished_Updated , "PID Autotune finished! PID parameters updated\n");
TMESSAGE(fr, MSG_Temp_Tune_Failed , "Abort tuning, not at home position\n");
TMESSAGE(fr, MSG_Temp_Tune_Started , "Start tuning - - -\n");
TMESSAGE(fr, MSG_Temp_Tune_Fan , "Step 1: tune fan parameter\n");
TMESSAGE(fr, MSG_Temp_Tune_Extrusion , "Step 2: tune extrusion parameter");
TMESSAGE(fr, MSG_Temp_Heat_Result , " Heat @ %imm : %i\n");
TMESSAGE(fr, MSG_Temp_Heat_KC , " Extrusion coefficient Kc %i\n");
TMESSAGE(fr, MSG_Maxtemp_Error_Extr , " Heater switched off. MAXTEMP triggered on Extruder %i!\n");
TMESSAGE(fr, MSG_Mfremp_Error_Extr , " Heater switched off. MfrEMP triggered on Extruder %i!\n");
TMESSAGE(fr, MSG_Fan_Autotune_Started ,"Fan Autotune starting\n");
TMESSAGE(fr, MSG_Repeat_Temperature_Stabilisation , " Repeat Temperature stabilisation \n");
TMESSAGE(fr, MSG_Reduce_Fan_Speed , " Reducimg fan speed!\n");
TMESSAGE(fr, MSG_Temperature_Stabilisation_Abort_At , " Temperature not reached, abort at %.1f\n");
TMESSAGE(fr, MSG_Default_Parameters_Loaded , "Hardcoded Default Parameter Loaded");
TMESSAGE(fr, MSG_NB_EEPROM_Bytes_Loaded , " eeprom bytes loaded: %i\n");
TMESSAGE(fr, MSG_Steps_Per_Unit , "Steps per unit (M92):\n");
TMESSAGE(fr, MSG_NB_Steps_Per_Unit , " X %1.2f, Y %1.2f, Z %1.2f, E %1.2f\n\n");
TMESSAGE(fr, MSG_Max_Feedrates , "Maximum feedrates (mm/s) (M203)\n:");
TMESSAGE(fr, MSG_NB_Max_Feedrates , "  M203 X %f, Y %f, Z %f, E %f\n\n");
TMESSAGE(fr, MSG_Max_Acceleration , "Maximum Acceleration (mm/s2) (M201):\n");
TMESSAGE(fr, MSG_NB_Max_Acceleration , "  M201 X %l, Y %l, Z %l, E %l\n\n");
TMESSAGE(fr, MSG_Extruder_Nb , " Heater  %i:\n");
TMESSAGE(fr, MSG_PID_Parameter , "  P: %f I: %f D: %f\n");
TMESSAGE(fr, MSG_CF_Parameter , "  C: %f F: %f\n\n");
TMESSAGE(fr, MSG_SD_File_deleted , "File deleted: %s\n");
TMESSAGE(fr, MSG_SD_Deletion_Error , "Deletion failed, File: %s\n");

PGM_P message_list_fr[]  = {
//---------- Serial port messages, do not translate
		TMESSAGEVAR(en,MSG_Marlin),
		TMESSAGEVAR(en,MSG_Author),
		TMESSAGEVAR(en,MSG_Configuration_Ver),
		TMESSAGEVAR(en,MSG_Free_Memory),
		TMESSAGEVAR(en,MSG_Planner_Buffer_Bytes),
		TMESSAGEVAR(en,MSG_OK),
		TMESSAGEVAR(en,MSG_Wait),
		TMESSAGEVAR(en,MSG_File_Saved),
		TMESSAGEVAR(en,MSG_Err_Line_No),
		TMESSAGEVAR(en,MSG_Err_Checksum_Mismatch),
		TMESSAGEVAR(en,MSG_Err_No_Checksum),
		TMESSAGEVAR(en,MSG_Err_No_Linenumber_With_Checksum),
		TMESSAGEVAR(en,MSG_Resend),
		TMESSAGEVAR(en,MSG_File_Printed),
		TMESSAGEVAR(en,MSG_Begin_File_List),
		TMESSAGEVAR(en,MSG_End_File_List),
		TMESSAGEVAR(en,MSG_Invalid_Extruder),
		TMESSAGEVAR(en,MSG_Invalid_Extruder_Num),
		TMESSAGEVAR(en,MSG_Err_Stopped),
		TMESSAGEVAR(en,MSG_Err_Killed),
		TMESSAGEVAR(en,MSG_Active_Extruder),
		TMESSAGEVAR(en,MSG_Unknown_Command),
		TMESSAGEVAR(en,MSG_X_Max_Pin),
		TMESSAGEVAR(en,MSG_Y_Max_Pin),
		TMESSAGEVAR(en,MSG_Z_Min_Pin),
		TMESSAGEVAR(en,MSG_M119_Report),
		TMESSAGEVAR(en,MSG_Endstop_Hit),
		TMESSAGEVAR(en,MSG_Endstop_Open),
		TMESSAGEVAR(en,MSG_Hotend_Offset),
		TMESSAGEVAR(en,MSG_SD_Init_Fail),
		TMESSAGEVAR(en,MSG_SD_Vol_Init_Fail),
		TMESSAGEVAR(en,MSG_SD_Vol_Type),
		TMESSAGEVAR(en,MSG_SD_Card_OK),
		TMESSAGEVAR(en,MSG_SD_File_Opened),
		TMESSAGEVAR(en,MSG_SD_Open_File_Fail),
		TMESSAGEVAR(en,MSG_SD_File_Selected),
		TMESSAGEVAR(en,MSG_SD_Writing),
		TMESSAGEVAR(en,MSG_SD_Printing_Byte),
		TMESSAGEVAR(en,MSG_SD_Not_Printing),
		TMESSAGEVAR(en,MSG_Endstops_Hit),
		TMESSAGEVAR(en,MSG_Stepper_Too_High),
		TMESSAGEVAR(en,MSG_Cold_Extrusion_Prevented),
		TMESSAGEVAR(en,MSG_Too_Long_Extrusion_Prevented),
//---------------- serial port messages end
//---------------- LCD messages: status messages
		TMESSAGEVAR(fr,MSG_Welcome),
		TMESSAGEVAR(fr,MSG_Heating),
		TMESSAGEVAR(fr,MSG_Heating_complete),
		TMESSAGEVAR(fr,MSG_Printing),
		TMESSAGEVAR(fr,MSG_Printing_complete),
		//---------------- LCD messages: Menus messages
		TMESSAGEVAR(fr,MSG_Main_Menu),
		TMESSAGEVAR(fr,MSG_Info),
		TMESSAGEVAR(fr,MSG_Tune),
		TMESSAGEVAR(fr,MSG_Prepare),
		TMESSAGEVAR(fr,MSG_Control),
		TMESSAGEVAR(fr,MSG_Firmware),
		TMESSAGEVAR(fr,MSG_Auto_Home),
		TMESSAGEVAR(fr,MSG_Load_Filament),
		TMESSAGEVAR(fr,MSG_Unload_Filament),
		TMESSAGEVAR(fr,MSG_Preheat_PLA),
		TMESSAGEVAR(fr,MSG_Preheat_ABS),
		TMESSAGEVAR(fr,MSG_Move_Axis),
		TMESSAGEVAR(fr,MSG_Disable_Steppers),
		TMESSAGEVAR(fr,MSG_Cooldown),
		TMESSAGEVAR(fr,MSG_Extruder_offsets),
		TMESSAGEVAR(fr,MSG_Language),
		TMESSAGEVAR(fr,MSG_Temperature),
		TMESSAGEVAR(fr,MSG_Motion),
		TMESSAGEVAR(fr,MSG_Advanced),
		TMESSAGEVAR(fr,MSG_Stopwatch),
		TMESSAGEVAR(fr,MSG_Store_Eprom),
		TMESSAGEVAR(fr,MSG_Load_Eprom),
		TMESSAGEVAR(fr,MSG_Restore_Failsave),
		TMESSAGEVAR(fr,MSG_Load_ABS_EX1),
		TMESSAGEVAR(fr,MSG_Unload_ABS_EX1),
		TMESSAGEVAR(fr,MSG_Load_ABS_EX2),
		TMESSAGEVAR(fr,MSG_Unload_ABS_EX2),
		TMESSAGEVAR(fr,MSG_Load_PLA_EX1),
		TMESSAGEVAR(fr,MSG_Unload_PLA_EX1),
		TMESSAGEVAR(fr,MSG_Load_PLA_EX2),
		TMESSAGEVAR(fr,MSG_Unload_PLA_EX2),
		TMESSAGEVAR(fr,MSG_Preheat_PLA_EX1),
		TMESSAGEVAR(fr,MSG_Preheat_PLA_EX2),
		TMESSAGEVAR(fr,MSG_Preheat_PLA_EXALL),
		TMESSAGEVAR(fr,MSG_Preheat_ABS_EX1),
		TMESSAGEVAR(fr,MSG_Preheat_ABS_EX2),
		TMESSAGEVAR(fr,MSG_Preheat_ABS_EXALL),
		TMESSAGEVAR(fr,MSG_Preheat_PLA_Bed),
		TMESSAGEVAR(fr,MSG_Preheat_ABS_Bed),
		TMESSAGEVAR(fr,MSG_Load_TEXT0),
		TMESSAGEVAR(fr,MSG_Load_TEXT1),
		TMESSAGEVAR(fr,MSG_Load_TEXT2),
		TMESSAGEVAR(fr,MSG_Load_TEXT3),
		TMESSAGEVAR(fr,MSG_No_Card),
		TMESSAGEVAR(fr,MSG_Pause_Prfr),
		TMESSAGEVAR(fr,MSG_Resume_Prfr),
		TMESSAGEVAR(fr,MSG_Stop_Prfr),
		TMESSAGEVAR(fr,MSG_Card_Menu),
		TMESSAGEVAR(fr,MSG_Init_SDcard),
		TMESSAGEVAR(fr,MSG_Change_SDcard),
		TMESSAGEVAR(fr,MSG_Refresh),
		TMESSAGEVAR(fr,MSG_Folder_Up),
		TMESSAGEVAR(fr,MSG_Speed),
		TMESSAGEVAR(fr,MSG_Move_01mm),
		TMESSAGEVAR(fr,MSG_Move_1mm),
		TMESSAGEVAR(fr,MSG_Move_10mm),
		TMESSAGEVAR(fr,MSG_Move_X),
		TMESSAGEVAR(fr,MSG_Move_Y),
		TMESSAGEVAR(fr,MSG_Move_Z),
		TMESSAGEVAR(fr,MSG_Move_E),
		TMESSAGEVAR(fr,MSG_Start_Timer),
		TMESSAGEVAR(fr,MSG_Stop_Timer),
		TMESSAGEVAR(fr,MSG_Bed_Done),
		TMESSAGEVAR(fr,MSG_Stopped),
		TMESSAGEVAR(fr,MSG_Error_Maxtemp),
		TMESSAGEVAR(fr,MSG_Error_Mfremp),
		TMESSAGEVAR(fr,MSG_Error_Heater0broken),
		TMESSAGEVAR(fr,MSG_Error_Heater1broken),
		TMESSAGEVAR(fr,MSG_Warn_Heater_Overload),
		//-----------------LCD-format-Strings
		TMESSAGEVAR(fr,MSG_Nozzle),
		TMESSAGEVAR(fr,MSG_Nozzle1),
		TMESSAGEVAR(fr,MSG_Nozzle2),
		TMESSAGEVAR(fr,MSG_Bed),
		TMESSAGEVAR(fr,MSG_FanSpeed),
		TMESSAGEVAR(fr,MSG_Adv_Press1),
		TMESSAGEVAR(fr,MSG_Adv_Press2),
		TMESSAGEVAR(fr,MSG_Adv_delay1),
		TMESSAGEVAR(fr,MSG_Adv_delay2),
		TMESSAGEVAR(fr,MSG_Flow),
		TMESSAGEVAR(fr,MSG_Flow1),
		TMESSAGEVAR(fr,MSG_Flow2),
		TMESSAGEVAR(fr,MSG_PID_P0),
		TMESSAGEVAR(fr,MSG_PID_I0),
		TMESSAGEVAR(fr,MSG_PID_D0),
		TMESSAGEVAR(fr,MSG_PID_C0),
		TMESSAGEVAR(fr,MSG_PID_F0),
		TMESSAGEVAR(fr,MSG_PID_P1),
		TMESSAGEVAR(fr,MSG_PID_I1),
		TMESSAGEVAR(fr,MSG_PID_D1),
		TMESSAGEVAR(fr,MSG_PID_C1),
		TMESSAGEVAR(fr,MSG_PID_F1),
		TMESSAGEVAR(fr,MSG_PID_P99),
		TMESSAGEVAR(fr,MSG_PID_I99),
		TMESSAGEVAR(fr,MSG_PID_D99),
		TMESSAGEVAR(fr,MSG_PID_C99),
		TMESSAGEVAR(fr,MSG_PID_F99),
		TMESSAGEVAR(fr,MSG_Accel),
		TMESSAGEVAR(fr,MSG_VXY_Jerk),
		TMESSAGEVAR(fr,MSG_VZ_Jerk),
		TMESSAGEVAR(fr,MSG_VE_Jerk),
		TMESSAGEVAR(fr,MSG_Vmax_X),
		TMESSAGEVAR(fr,MSG_Vmax_Y),
		TMESSAGEVAR(fr,MSG_Vmax_Z),
		TMESSAGEVAR(fr,MSG_Vmax_E),
		TMESSAGEVAR(fr,MSG_Vmin),
		TMESSAGEVAR(fr,MSG_Vtrav_min),
		TMESSAGEVAR(fr,MSG_A_Retract),
		TMESSAGEVAR(fr,MSG_A_Travel),
		TMESSAGEVAR(fr,MSG_Xsteps),
		TMESSAGEVAR(fr,MSG_Ysteps),
		TMESSAGEVAR(fr,MSG_Zsteps),
		TMESSAGEVAR(fr,MSG_Esteps),
		TMESSAGEVAR(fr,MSG_Flow_time),
		TMESSAGEVAR(fr,MSG_Amax_X),
		TMESSAGEVAR(fr,MSG_Amax_Y),
		TMESSAGEVAR(fr,MSG_Amax_Z),
		TMESSAGEVAR(fr,MSG_Amax_E),
		TMESSAGEVAR(fr,MSG_Extruder_offset_X),
		TMESSAGEVAR(fr,MSG_Extruder_offset_Y),
		TMESSAGEVAR(fr,MSG_Compiled),
		TMESSAGEVAR(fr,MSG_SD_File_deleted),
		TMESSAGEVAR(fr,MSG_SD_Deletion_Error),
		TMESSAGEVAR(fr,MSG_SD_Now_Prfring),
		TMESSAGEVAR(fr,MSG_SD_Prfring),
		TMESSAGEVAR(fr,MSG_SD_Error_Sublevel),
		TMESSAGEVAR(fr,MSG_SD_Subroutine),
		TMESSAGEVAR(fr,MSG_CS_Error_Load_Failsave),
		TMESSAGEVAR(fr,MSG_CS_Value),
		TMESSAGEVAR(fr,MSG_PID_Reset),
		TMESSAGEVAR(fr,MSG_PID_Autotune_Invalid_Extrude),
		TMESSAGEVAR(fr,MSG_PID_Autotune_Start),
		TMESSAGEVAR(fr,MSG_Hotend_Stabilise),
		TMESSAGEVAR(fr,MSG_Hotend_Stable_Temperature),
		TMESSAGEVAR(fr,MSG_PID_Autotune_Failed),
		TMESSAGEVAR(fr,MSG_PID_Autotune_Timeout),
		TMESSAGEVAR(fr,MSG_PID_Autotune_Finished),
		TMESSAGEVAR(fr,MSG_PID_Autotune_Finished_Updated),
		TMESSAGEVAR(fr,MSG_Temp_Tune_Failed),
		TMESSAGEVAR(fr,MSG_Temp_Tune_Started),
		TMESSAGEVAR(fr,MSG_Temp_Tune_Fan),
		TMESSAGEVAR(fr,MSG_Temp_Tune_Extrusion),
		TMESSAGEVAR(fr,MSG_Temp_Heat_Result),
		TMESSAGEVAR(fr,MSG_Temp_Heat_KC),
		TMESSAGEVAR(fr,MSG_Maxtemp_Error_Extr),
		TMESSAGEVAR(fr,MSG_Mfremp_Error_Extr),
		TMESSAGEVAR(fr,MSG_Fan_Autotune_Started),
		TMESSAGEVAR(fr,MSG_Repeat_Temperature_Stabilisation),
		TMESSAGEVAR(fr,MSG_Reduce_Fan_Speed),
		TMESSAGEVAR(fr,MSG_Temperature_Stabilisation_Abort_At),
		TMESSAGEVAR(fr,MSG_Default_Parameters_Loaded),
		TMESSAGEVAR(fr,MSG_NB_EEPROM_Bytes_Loaded),
		TMESSAGEVAR(fr,MSG_Steps_Per_Unit),
		TMESSAGEVAR(fr,MSG_NB_Steps_Per_Unit),
		TMESSAGEVAR(fr,MSG_Max_Feedrates),
		TMESSAGEVAR(fr,MSG_NB_Max_Feedrates),
		TMESSAGEVAR(fr,MSG_Max_Acceleration),
		TMESSAGEVAR(fr,MSG_NB_Max_Acceleration),
		TMESSAGEVAR(fr,MSG_Filamentchange),
		TMESSAGEVAR(fr,MSG_Extruder_Nb),
		TMESSAGEVAR(fr,MSG_PID_Parameter),
		TMESSAGEVAR(fr,MSG_CF_Parameter)


};


#define WELCOME_MSG                         MACHINE_NAME " prete."
#define MSG_SD_INSERTED                     "Carte inseree"
#define MSG_SD_REMOVED                      "Carte retiree"
#define MSG_MAIN                            "Menu principal"
#define MSG_AUTOSTART                       "Demarrage auto"
#define MSG_DISABLE_STEPPERS                "Arreter moteurs"
#define MSG_AUTO_HOME                       "Origine auto."
#define MSG_LEVEL_BED_HOMING                "Origine XYZ"
#define MSG_LEVEL_BED_WAITING               "Cliquer pour commencer"
#define MSG_LEVEL_BED_DONE                  "Mise a niveau OK!"
#define MSG_LEVEL_BED_CANCEL                "Annuler"
#define MSG_SET_HOME_OFFSETS                "Regler decal. origine"
#define MSG_HOME_OFFSETS_APPLIED            "Decalages appliques"
#define MSG_SET_ORIGIN                      "Regler origine"
#define MSG_PREHEAT_PLA                     "Prechauffage PLA"
#define MSG_PREHEAT_PLA_N                   "Prechauff. PLA "
#define MSG_PREHEAT_PLA_ALL                 "Prech. PLA Tout"
#define MSG_PREHEAT_PLA_BEDONLY             "Prech. PLA Plateau"
#define MSG_PREHEAT_PLA_SETTINGS            "Regl. prech. PLA"
#define MSG_PREHEAT_ABS                     "Prechauffage ABS"
#define MSG_PREHEAT_ABS_N                   "Prechauff. ABS "
#define MSG_PREHEAT_ABS_ALL                 "Prech. ABS Tout"
#define MSG_PREHEAT_ABS_BEDONLY             "Prech. ABS Plateau"
#define MSG_PREHEAT_ABS_SETTINGS            "Regl. prech. ABS"
#define MSG_COOLDOWN                        "Refroidir"
#define MSG_SWITCH_PS_ON                    "Allumer alim."
#define MSG_SWITCH_PS_OFF                   "Eteindre alim."
#define MSG_EXTRUDE                         "Extrusion"
#define MSG_RETRACT                         "Retraction"
#define MSG_MOVE_AXIS                       "Deplacer un axe"
#define MSG_LEVEL_BED                       "Regl. Niv. Plateau"
#define MSG_MOVE_X                          "Depl. X"
#define MSG_MOVE_Y                          "Depl. Y"
#define MSG_MOVE_Z                          "Depl. Z"
#define MSG_MOVE_E                          "Extruder"
#define MSG_MOVE_01MM                       "Depl. 0.1mm"
#define MSG_MOVE_1MM                        "Depl. 1mm"
#define MSG_MOVE_10MM                       "Depl. 10mm"
#define MSG_SPEED                           " Vitesse"
#define MSG_BED_Z                           "Plateau Z"
#define MSG_NOZZLE                          "Buse"
#define MSG_BED                             "Plateau"
#define MSG_FAN_SPEED                       "Vite. ventilateur"
#define MSG_FLOW                            "Flux"
#define MSG_CONTROL                         "Controler"
#define MSG_MIN                             LCD_STR_THERMOMETER " Min"
#define MSG_MAX                             LCD_STR_THERMOMETER " Max"
#define MSG_FACTOR                          LCD_STR_THERMOMETER " Facteur"
#define MSG_AUTOTEMP                        "Temp. Auto."
#define MSG_ON                              "Marche "
#define MSG_OFF                             "Arret"
#define MSG_PID_P                           "PID-P"
#define MSG_PID_I                           "PID-I"
#define MSG_PID_D                           "PID-D"
#define MSG_PID_C                           "PID-C"
#define MSG_ACC                             "Accel"
#define MSG_VXY_JERK                        "Vxy-jerk"
#define MSG_VZ_JERK                         "Vz-jerk"
#define MSG_VE_JERK                         "Ve-jerk"
#define MSG_VMAX                            "Vmax"
#define MSG_X                               "X"
#define MSG_Y                               "Y"
#define MSG_Z                               "Z"
#define MSG_E                               "E"
#define MSG_VMIN                            "Vmin"
#define MSG_VTRAV_MIN                       "Vdepl min"
#define MSG_AMAX                            "Amax "
#define MSG_A_RETRACT                       "A-retract"
#define MSG_A_TRAVEL                        "A-Depl."
#define MSG_XSTEPS                          "Xpas/mm"
#define MSG_YSTEPS                          "Ypas/mm"
#define MSG_ZSTEPS                          "Zpas/mm"
#define MSG_ESTEPS                          "Epas/mm"
#define MSG_TEMPERATURE                     "Temperature"
#define MSG_MOTION                          "Mouvement"
#define MSG_VOLUMETRIC                      "Filament"
#define MSG_VOLUMETRIC_ENABLED              "E en mm3"
#define MSG_FILAMENT_DIAM                   "Diam. Fil."
#define MSG_CONTRAST                        "Contraste LCD"
#define MSG_STORE_EPROM                     "Sauver config"
#define MSG_LOAD_EPROM                      "Lire config"
#define MSG_RESTORE_FAILSAFE                "Restaurer defauts"
#define MSG_REFRESH                         "Actualiser"
#define MSG_WATCH                           "Surveiller"
#define MSG_PREPARE                         "Preparer"
#define MSG_TUNE                            "Regler"
#define MSG_PAUSE_PRfr                     "frerrompre impr."
#define MSG_RESUME_PRfr                    "Reprendre impr."
#define MSG_STOP_PRfr                      "Arreter impr."
#define MSG_CARD_MENU                       "Impr. depuis SD"
#define MSG_NO_CARD                         "Pas de carte"
#define MSG_DWELL                           "Repos..."
#define MSG_USERWAIT                        "Atten. de l'util."
#define MSG_RESUMING                        "Repri. de l'impr."
#define MSG_PRfr_ABORTED                   "Impr. Annulee"
#define MSG_NO_MOVE                         "Aucun mouvement."
#define MSG_KILLED                          "MORT."
#define MSG_STOPPED                         "STOPPE."
#define MSG_CONTROL_RETRACT                 "Retraction mm"
#define MSG_CONTROL_RETRACT_SWAP            "Ech. Retr. mm"
#define MSG_CONTROL_RETRACTF                "Retraction V"
#define MSG_CONTROL_RETRACT_ZLIFT           "Hop mm"
#define MSG_CONTROL_RETRACT_RECOVER         "UnRet +mm"
#define MSG_CONTROL_RETRACT_RECOVER_SWAP    "Ech. UnRet +mm"
#define MSG_CONTROL_RETRACT_RECOVERF        "UnRet V"
#define MSG_AUTORETRACT                     "Retract. Auto."
#define MSG_FILAMENTCHANGE                  "Changer filament"
#define MSG_INIT_SDCARD                     "Init. la carte SD"
#define MSG_CNG_SDCARD                      "Changer de carte"
#define MSG_ZPROBE_OUT                      "Z sonde exte. lit"
#define MSG_YX_UNHOMED                      "Rev. dans XY av.Z"
#define MSG_ZPROBE_ZOFFSET                  "Decalage Z"
#define MSG_BABYSTEP_X                      "Babystep X"
#define MSG_BABYSTEP_Y                      "Babystep Y"
#define MSG_BABYSTEP_Z                      "Babystep Z"
#define MSG_ENDSTOP_ABORT                   "Butee abandon"
#define MSG_HEATING_FAILED_LCD              "Erreur de chauffe"
#define MSG_ERR_REDUNDANT_TEMP              "Err: ERREUR TEMP. REDONDANTE"
#define MSG_THERMAL_RUNAWAY                 "EMBALLEMENT THERMIQUE"
#define MSG_ERR_MAXTEMP                     "Err: TEMP. MAX"
#define MSG_ERR_MfrEMP                     "Err: TEMP. MIN"
#define MSG_ERR_MAXTEMP_BED                 "Err: TEMP. MAX PLATEAU"
#define MSG_ERR_MfrEMP_BED                 "Err: TEMP. MIN PLATEAU"
#define MSG_END_HOUR                        "heures"
#define MSG_END_MINUTE                      "minutes"
#define MSG_HEATING                         "En chauffe..."
#define MSG_HEATING_COMPLETE                "Chauffe terminee"
#define MSG_BED_HEATING                     "Plateau en chauffe..."
#define MSG_BED_DONE                        "Chauffe plateau terminee"

#define MSG_DELTA_CALIBRATE                 "Calibration Delta"
#define MSG_DELTA_CALIBRATE_X               "Calibrer X"
#define MSG_DELTA_CALIBRATE_Y               "Calibrer Y"
#define MSG_DELTA_CALIBRATE_Z               "Calibrer Z"
#define MSG_DELTA_CALIBRATE_CENTER          "Calibrer centre"

#endif // LANGUAGE_FR_H
